#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_with	python3	# CPython 3.2 module
%bcond_without	tests	# unit tests

%define		module		ruamel.ordereddict
Summary:	A version of dict that keeps keys in insertion resp. sorted order
Summary(pl.UTF-8):	Wersja słownika trzymająca klucze w kolejności wstawiania
Name:		python-%{module}
Version:	0.4.14
Release:	5
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ruamel.ordereddict/
Source0:	https://files.pythonhosted.org/packages/source/r/ruamel.ordereddict/%{module}-%{version}.tar.gz
# Source0-md5:	e0723a39e81fdf5d986d892dc5a94bb8
URL:		https://pypi.org/project/ruamel.ordereddict/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
# for dir
Requires:	python-ruamel.base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A version of dict that keeps keys in insertion resp. sorted order.

%description -l pl.UTF-8
Wersja słownika (dict) trzymająca klucze w kolejności wstawiania

%package -n python3-ruamel.ordereddict
Summary:	A version of dict that keeps keys in insertion resp. sorted order
Summary(pl.UTF-8):	Wersja słownika trzymająca klucze w kolejności wstawiania
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2
# for dir
Requires:	python3-ruamel.base

%description -n python3-ruamel.ordereddict
A version of dict that keeps keys in insertion resp. sorted order.

%description -n python3-ruamel.ordereddict -l pl.UTF-8
Wersja słownika (dict) trzymająca klucze w kolejności wstawiania

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

touch $(echo build-2/lib.*/ruamel)/__init__.py
PYTHONPATH=$(readlink -f build-2/lib.*) \
%{__python} -m pytest test/test_{ordereddict,py2,py27}.py
%endif

%if %{with python3}
%py3_build

touch $(echo build-3/lib.*/ruamel)/__init__.py
PYTHONPATH=$(readlink -f build-3/lib.*) \
%{__python3} -m pytest test/test_{orderreddict,py3}.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitedir}/ruamel/ordereddict
%attr(755,root,root) %{py_sitedir}/_ordereddict.so
%{py_sitedir}/ruamel.ordereddict-%{version}-py*.egg-info
%{py_sitedir}/ruamel.ordereddict-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-ruamel.ordereddict
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitedir}/ruamel/ordereddict
%attr(755,root,root) %{py3_sitedir}/_ordereddict.cpython-*.so
%{py3_sitedir}/ruamel.ordereddict-%{version}-py*.egg-info
%{py3_sitedir}/ruamel.ordereddict-%{version}-py*-nspkg.pth
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ruamel.ordereddict.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 37a9e86
- rebuild with separate debuginfo build-ids

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 836c02c
- release 4 (by relup.sh)

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 4f18d9f
- R: python*-ruamal.base (for dir, not pythonegg)

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> e33aa5a
- unified, pl, tests; release 3

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> 723dbbc
- not noarch; rel 2

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> eb5cfae
- new (version 0.4.14)

